Skip to main content
GET
/
locations
/
{locationId}
/
templates
GET all or email/sms templates
curl --request GET \
  --url https://services.leadconnectorhq.com/locations/{locationId}/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "templates": [
    {
      "id": "2yMwhgTNO19bpintqrap",
      "name": "sms template",
      "type": "sms",
      "template": {
        "body": "sms body",
        "attachments": []
      },
      "dateAdded": "2022-01-27T12:31:19.679Z",
      "locationId": "ve9EPM428h8vShlRW1KT",
      "urlAttachments": []
    }
  ],
  "totalCount": 100
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

locationId
string
required

Location Id

Query Parameters

deleted
boolean
default:false
skip
string
default:0
limit
string
default:25
type
enum<string>
Available options:
sms,
email,
whatsapp
originId
string
required

Origin Id

Response

Successful response

templates
object[]
totalCount
number
Example:

100

Last modified on March 4, 2026